Re-perform orchestration steps for a host

01/13/2014 07:51 PM - Aaron Stone

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I'd like an API and/or button to push on the Host(s) page to perform orchestration steps again. e.g. send out the DNS updates, DHCP

leases, write the PXE files, even though the host information has not changed. This facilitates switching to a failover smart-proxy or

just running it again in case of a bug or mistake (e.g. accidentally deleting /var/lib/tftpboot...)

Related issues:

Related to Foreman - Feature #2799: Ability to repush DHCP settings Duplicate 07/17/2013

Related to Foreman - Bug #7774: Changing OS should trigger TFTP redeployment New 10/02/2014

History

#1 - 01/14/2014 08:18 AM - Dominic Cleal

- Related to Feature #2799: Ability to repush DHCP settings added

#2 - 10/03/2014 06:08 AM - Dominic Cleal

- Related to Bug #7774: Changing OS should trigger TFTP redeployment added

#3 - 09/14/2015 10:12 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report.  This has now been implemented for Foreman 1.10 via ticket #2267.  A new "Rebuild Config" option is available from the host

list's Select Action menu, which includes all the record types you mentioned.

It's available as an API call too, under PUT /api/v2/hosts/:id/rebuild_config.
